Delete webhook

Deletes a webhook endpoint. Past deliveries are retained for 30 days. Requires the WEBHOOKS_WRITE scope.

DELETE https://api.pandabase.io/v2/core/stores/{storeId}/webhooks/{webhookId}

Authentication

Requires a bearer token (sk_…) or an API key in the header Authorization.

Path parameters

storeId string required

(length 12–48)

webhookId string required

(length 12–48)

Header parameters

idempotency-key string

(length 8–32)

Response 200

Default Response

ok enum required

(one of true)

data object required

No description.

Response 404

Default Response

ok enum required

(one of false)

error string required

No description.

Request
curl -X DELETE https://api.pandabase.io/v2/core/stores/:storeId/webhooks/:webhookId
Response
{  "ok": true,  "data": {    "deleted": true  }}